#include "HW2Utility.h"
#include "Solution.cpp"
#include "PreferenceLists.h"
#include <fstream>

class Driver;

int main(int argc, char** argv) {
    if(argc != 2) {
        printf("Please provide the input filename as the argument.\n");
        return 0;
    }
    HW2Utility Utility;
    PreferenceLists input = Utility.readFile(argv[1]);
    
    Solution s = Solution(input.hospitals.size(), input.students.size(), input.students, input.hospitals);
    vector<pair<int, int>> studentSolution = s.getMatches();
    //cout << "Your solution " << endl;
    //cout << "==========================================" << endl;
    cout << "[";
    for(int i = 0; i < studentSolution.size(); i++){
        cout << "(" << studentSolution[i].first << ", " << studentSolution[i].second << ")";

        if(i < studentSolution.size()-1)
        {
            cout << ", ";
        }
    }
    cout << "]" << endl;
    return 0;
}
