#ifndef HW2UTILITY_H_
#define HW2UTILITY_H_

#include "Utility.h"
#include "PreferenceLists.h"
#include <iostream>
#include <fstream>

using namespace std;

class HW2Utility: public Utility<PreferenceLists> {
public:
    HW2Utility(){};

    PreferenceLists readFile(std::string filename){
        
        map<int, vector<int>> studentList, hospitalList;

        fstream input(filename, ios_base::in);
        
        int nHospital, nStudent;
        // Number of students and hospitals.
        input >> nHospital;
        input >> nStudent;
        
        // Preferences of each hospital.
        for(int i=1;i<=nHospital;i++) {
            vector<int> cur;
            for(int j=0;j<=nStudent;j++) {
                int pref;
                input >> pref;
                cur.push_back(pref);
            }
            hospitalList[i] = cur;
        }

        // Preferences of each student.
        for(int i=1;i<=nStudent;i++) {
            vector<int> cur;
            for(int j=0;j<nHospital;j++) {
                int pref;
                input >> pref;
                cur.push_back(pref);
            }
            studentList[i] = cur;
        }
        
        PreferenceLists prefs(studentList, hospitalList);
        return prefs;
    }
};
#endif
